<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>SI-BKD Assesment</title>
</head>
<body>

<div layout:fragment="main" class="container">
    <div class="row mb-4">
        <H3><i class="fa-solid fa-file-circle-check" style="color: #d3b30d"></i> Form Pemberian Catatan dan Rekomendasi</H3>
    </div>
    <form method="post" th:action="@{/assesment/detail/simpan}">
    <div class="row mb-4">
        <div class="col-md-12">
            <table class="table table-bordered table-responsive mb-4">
                <thead class="table-dark bg-success border-white" style="--bs-table-bg:bg-success;">
                <tr>
                    <th class="align-middle text-center" rowspan="2">Jenis Kegiatan</th>
                    <th class="align-middle text-center" rowspan="2">Bidang</th>
                    <th class="align-middle text-center" colspan="2">Beban Kerja</th>
                    <th class="align-middle text-center" rowspan="2">Masa Penugasan</th>
                    <th class="align-middle text-center" colspan="2">Beban Kinerja</th>
                </tr>
                <tr>
                    <th class="align-middle text-center">Bukti Penugasan</th>
                    <th class="align-middle text-center">SKS</th>
                    <th class="align-middle text-center">Bukti Kinerja</th>
                    <th class="align-middle text-center">SKS</th>
                </tr>
                </thead>
                <tbody>
                <tr>
                    <td th:text="${laporanBkd.getNamaKegiatan()}"></td>
                    <td align="center" th:text="${laporanBkd.getBidang()}"></td>
                    <td>
                        <div class="text-black border-bottom" th:text="${laporanBkd.getBuktiPenugasan()}"></div>
                        <div class="text-success fst-italic small">Dokumen Penugasan :</div>
                        <div class="row" th:each="dataFile,row : ${listLaporanBkdFile}">
                            <div class="col-md-10">
                                <div class="text-truncate" style="max-width: 150px;">
                                    <a th:href="@{/laporanbkd/{laporanBkdFile}/filepenugasan/(laporanBkdFile = ${dataFile.id})}" target="_blank" th:if="${laporanBkd.getId() == dataFile.getLaporanBkd().getId() and dataFile.getJenisFileLaporan().toString().equals('PENUGASAN')}" class="text-primary fst-italic small me-2" th:text="${dataFile.getNamaFile()}">
                                    </a>
                                </div>
                            </div>
                        </div>
                    </td>
                    <td align="right" th:text="${laporanBkd.getJumlahSks()+ ' SKS'}"></td>
                    <td align="right" th:text="${laporanBkd.getMasaPenugasan()+ ' Semester'}"></td>
                    <td>
                        <div class="text-black border-bottom" th:text="${laporanBkd.getBuktiKinerja()}"></div>
                        <div class="text-success fst-italic small">Dokumen Kinerja :</div>
                        <div class="row" th:each="dataFile,row : ${listLaporanBkdFile}">
                            <div class="col-md-10">
                                <div class="text-truncate" style="max-width: 150px;">
                                    <a th:href="@{/laporanbkd/{laporanBkdFile}/filekinerja/(laporanBkdFile = ${dataFile.id})}" target="_blank"  th:if="${laporanBkd.getId() == dataFile.getLaporanBkd().getId() and dataFile.getJenisFileLaporan().toString().equals('KINERJA')}" class="text-primary fst-italic small me-2" th:text="${dataFile.getNamaFile()}">
                                    </a>
                                </div>
                            </div>
                        </div>
                    </td>
                    <td align="right" th:text="${laporanBkd.getSksTerpenuhi() + ' SKS'}"></td>
                </tr>
                <tr>
                    <td colspan="4">
                        <span class="text-success fw-bold" th:text="${'Catatan Anda (Asesor '+ asesor + ') :'}"></span>
                        <textarea class="form-control" name="catatanAsesor" th:if="${asesor == '1'}" th:text="${laporanBkd.getCatatanAsesor1()}"></textarea>
                        <textarea class="form-control" name="catatanAsesor" th:if="${asesor == '2'}" th:text="${laporanBkd.getCatatanAsesor2()}"></textarea>
                    </td>
                    <td colspan="2">
                        <span class="text-success fw-bold" th:text="${'Rekomendasi Anda (Asesor '+ asesor + ') :'}">Rekomendasi Anda :</span>
                        <select class="form-select" id="role" name="rekomendasi" aria-label="Default select example">
                            <option th:value="${null}">-</option>
                            <option th:if="${asesor == '1'}" th:each="data : ${listRekomendasi}"
                                    th:selected="(${data} == *{laporanBkd.getCatatanAsesor1()})"
                                    th:text="${data}"
                                    th:value="${data}">sdasd</option>
                            <option th:if="${asesor == '2'}" th:each="data : ${listRekomendasi}"
                                    th:selected="(${data} == *{laporanBkd.getRekomendasiAsesor2()})"
                                    th:text="${data}"
                                    th:value="${data}">sdasd</option>
                        </select>
                    </td>
                    <td>
                        <span class="text-success fw-bold" th:text="${'SKS Menurut Anda (Asesor '+ asesor + ') :'}">Rekomendasi Anda :</span>
                        <input type="number" class="form-control" name="sksAsesor" th:if="${asesor == '1'}" th:value="${laporanBkd.getSksTerpenuhiAsesor1()}">
                        <input type="number" class="form-control" name="sksAsesor" th:if="${asesor == '2'}"  th:value="${laporanBkd.getSksTerpenuhiAsesor2()}">
                    </td>
                </tr>
                </tbody>
            </table>
            <input type="hidden" name="laporanBkd" th:value="${laporanBkd.getId()}">
            <a class="btn btn-warning" th:href="@{/assesment/detail(dosen=${laporanBkd.getDosen.getId()})}">Kembali</a>
            <button class="btn btn-success">Simpan</button>
        </div>
    </div>
    </form>
</div>
</body>
</html>